Home | All Classes | Grouped Classes | Index | Search

# CL_DirectoryScanner::scan

Selects the directory to scan through.

    	bool scan(
    		const std::string& pathname);

    	bool scan(
    		const std::string& pathname, const std::string& pattern);

Parameters:

pathname
  Path to the directory to scan.
pattern
  Pattern to match files against.

Return value:

true if the directory can be accessed.

Detailed description:

Selects the directory to scan through and use a matching pattern on the files.

See also:

CL_DirectoryScanner

Questions or comments, write to the ClanLib mailing list.